
Base Distribution - Task # 52500

Work Package # 49943 (Accepted): Security

Status: Resolved Priority: Must have
Author: Andreas Förthner Category: Content Editing
Created: 2013-10-03 Assigned To:
Updated: 2013-10-11 Due date:
Subject: Editors must only be able to access their own workspaces
Description

Currently the node services allows any authenticated editor to access all nodes in all workspaces.

createNode of the NodeConverter has to get a runtime evaluation checking the workspace of the node.

Associated revisions
Revision 2d82fbdd - 2013-10-11 10:04 - Andreas Förthner

[TASK] Disallow nodes in workspaces of other users

For this to achieve we restrict the node type converter
to only allow create for nodes in the current user's
workspace or the live workspace.

Resolves: #52500
Change-Id: Ief0ab2ae4b7397344213d0fa4467d4d9f656c56d
Reviewed-on: https://review.typo3.org/24376
Reviewed-by: Andreas Förthner
Tested-by: Andreas Förthner

History
#1 - 2013-10-04 14:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24376

#2 - 2013-10-10 21:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24376

#3 - 2013-10-11 10:01 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24376
#4 - 2013-10-11 10:03 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24376

#5 - 2013-10-11 10:36 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2d82fbdd82ebacdde81d81fe5ad4df54fa11c151.
